# Form implementation generated from reading ui file 'src/eric7/Debugger/StartDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_StartDialog(object):
    def setupUi(self, StartDialog):
        StartDialog.setObjectName("StartDialog")
        StartDialog.resize(600, 657)
        StartDialog.setSizeGripEnabled(True)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(StartDialog)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.groupBox = QtWidgets.QGroupBox(parent=StartDialog)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 0, 0, 1, 1)
        self.venvComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.venvComboBox.sizePolicy().hasHeightForWidth())
        self.venvComboBox.setSizePolicy(sizePolicy)
        self.venvComboBox.setObjectName("venvComboBox")
        self.gridLayout_2.addWidget(self.venvComboBox, 0, 1, 1, 1)
        self.TextLabel1_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.TextLabel1_2.setObjectName("TextLabel1_2")
        self.gridLayout_2.addWidget(self.TextLabel1_2, 1, 0, 1, 1)
        self.scriptnamePicker = EricComboPathPicker(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.scriptnamePicker.sizePolicy().hasHeightForWidth())
        self.scriptnamePicker.setSizePolicy(sizePolicy)
        self.scriptnamePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.scriptnamePicker.setObjectName("scriptnamePicker")
        self.gridLayout_2.addWidget(self.scriptnamePicker, 1, 1, 1, 1)
        self.TextLabel1 = QtWidgets.QLabel(parent=self.groupBox)
        self.TextLabel1.setObjectName("TextLabel1")
        self.gridLayout_2.addWidget(self.TextLabel1, 2, 0, 1, 1)
        self.cmdlineCombo = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cmdlineCombo.sizePolicy().hasHeightForWidth())
        self.cmdlineCombo.setSizePolicy(sizePolicy)
        self.cmdlineCombo.setEditable(True)
        self.cmdlineCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.cmdlineCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToMinimumContentsLengthWithIcon)
        self.cmdlineCombo.setDuplicatesEnabled(False)
        self.cmdlineCombo.setObjectName("cmdlineCombo")
        self.gridLayout_2.addWidget(self.cmdlineCombo, 2, 1, 1, 1)
        self.TextLabel2 = QtWidgets.QLabel(parent=self.groupBox)
        self.TextLabel2.setObjectName("TextLabel2")
        self.gridLayout_2.addWidget(self.TextLabel2, 3, 0, 1, 1)
        self.workdirPicker = EricComboPathPicker(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.workdirPicker.sizePolicy().hasHeightForWidth())
        self.workdirPicker.setSizePolicy(sizePolicy)
        self.workdirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.workdirPicker.setObjectName("workdirPicker")
        self.gridLayout_2.addWidget(self.workdirPicker, 3, 1, 1, 1)
        self.textLabel1 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel1.setObjectName("textLabel1")
        self.gridLayout_2.addWidget(self.textLabel1, 4, 0, 1, 1)
        self.environmentCombo = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.environmentCombo.sizePolicy().hasHeightForWidth())
        self.environmentCombo.setSizePolicy(sizePolicy)
        self.environmentCombo.setEditable(True)
        self.environmentCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.environmentCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToMinimumContentsLengthWithIcon)
        self.environmentCombo.setDuplicatesEnabled(False)
        self.environmentCombo.setObjectName("environmentCombo")
        self.gridLayout_2.addWidget(self.environmentCombo, 4, 1, 1, 1)
        self.verticalLayout_2.addLayout(self.gridLayout_2)
        self.globalOverrideGroup = QtWidgets.QGroupBox(parent=self.groupBox)
        self.globalOverrideGroup.setCheckable(True)
        self.globalOverrideGroup.setChecked(False)
        self.globalOverrideGroup.setObjectName("globalOverrideGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.globalOverrideGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.redirectCheckBox = QtWidgets.QCheckBox(parent=self.globalOverrideGroup)
        self.redirectCheckBox.setObjectName("redirectCheckBox")
        self.verticalLayout.addWidget(self.redirectCheckBox)
        self.verticalLayout_2.addWidget(self.globalOverrideGroup)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.consoleCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.consoleCheckBox.setObjectName("consoleCheckBox")
        self.gridLayout.addWidget(self.consoleCheckBox, 0, 1, 1, 1)
        self.clearShellCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.clearShellCheckBox.setChecked(True)
        self.clearShellCheckBox.setObjectName("clearShellCheckBox")
        self.gridLayout.addWidget(self.clearShellCheckBox, 0, 0, 1, 1)
        self.verticalLayout_2.addLayout(self.gridLayout)
        self.verticalLayout_6.addWidget(self.groupBox)
        self.debugGroup = QtWidgets.QGroupBox(parent=StartDialog)
        self.debugGroup.setObjectName("debugGroup")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.debugGroup)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.gridLayout_3 = QtWidgets.QGridLayout()
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.tracePythonCheckBox = QtWidgets.QCheckBox(parent=self.debugGroup)
        self.tracePythonCheckBox.setObjectName("tracePythonCheckBox")
        self.gridLayout_3.addWidget(self.tracePythonCheckBox, 0, 0, 1, 1)
        self.autoContinueCheckBox = QtWidgets.QCheckBox(parent=self.debugGroup)
        self.autoContinueCheckBox.setChecked(True)
        self.autoContinueCheckBox.setObjectName("autoContinueCheckBox")
        self.gridLayout_3.addWidget(self.autoContinueCheckBox, 0, 1, 1, 1)
        self.allExceptionsCheckBox = QtWidgets.QCheckBox(parent=self.debugGroup)
        self.allExceptionsCheckBox.setObjectName("allExceptionsCheckBox")
        self.gridLayout_3.addWidget(self.allExceptionsCheckBox, 1, 0, 1, 1)
        self.verticalLayout_3.addLayout(self.gridLayout_3)
        self.multiprocessGroup = QtWidgets.QGroupBox(parent=self.debugGroup)
        self.multiprocessGroup.setCheckable(True)
        self.multiprocessGroup.setObjectName("multiprocessGroup")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.multiprocessGroup)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.TextLabel1_3 = QtWidgets.QLabel(parent=self.multiprocessGroup)
        self.TextLabel1_3.setObjectName("TextLabel1_3")
        self.horizontalLayout.addWidget(self.TextLabel1_3)
        self.multiprocessNoDebugCombo = QtWidgets.QComboBox(parent=self.multiprocessGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.multiprocessNoDebugCombo.sizePolicy().hasHeightForWidth())
        self.multiprocessNoDebugCombo.setSizePolicy(sizePolicy)
        self.multiprocessNoDebugCombo.setToolTip("")
        self.multiprocessNoDebugCombo.setWhatsThis("")
        self.multiprocessNoDebugCombo.setEditable(True)
        self.multiprocessNoDebugCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.multiprocessNoDebugCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToMinimumContentsLengthWithIcon)
        self.multiprocessNoDebugCombo.setDuplicatesEnabled(False)
        self.multiprocessNoDebugCombo.setObjectName("multiprocessNoDebugCombo")
        self.horizontalLayout.addWidget(self.multiprocessNoDebugCombo)
        self.verticalLayout_3.addWidget(self.multiprocessGroup)
        self.verticalLayout_6.addWidget(self.debugGroup)
        self.coverageGroup = QtWidgets.QGroupBox(parent=StartDialog)
        self.coverageGroup.setObjectName("coverageGroup")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.coverageGroup)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.eraseCoverageCheckBox = QtWidgets.QCheckBox(parent=self.coverageGroup)
        self.eraseCoverageCheckBox.setObjectName("eraseCoverageCheckBox")
        self.verticalLayout_4.addWidget(self.eraseCoverageCheckBox)
        self.verticalLayout_6.addWidget(self.coverageGroup)
        self.profileGroup = QtWidgets.QGroupBox(parent=StartDialog)
        self.profileGroup.setObjectName("profileGroup")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.profileGroup)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.eraseProfileCheckBox = QtWidgets.QCheckBox(parent=self.profileGroup)
        self.eraseProfileCheckBox.setObjectName("eraseProfileCheckBox")
        self.verticalLayout_5.addWidget(self.eraseProfileCheckBox)
        self.verticalLayout_6.addWidget(self.profileGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=StartDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_6.addWidget(self.buttonBox)

        self.retranslateUi(StartDialog)
        self.buttonBox.accepted.connect(StartDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(StartDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(StartDialog)
        StartDialog.setTabOrder(self.venvComboBox, self.scriptnamePicker)
        StartDialog.setTabOrder(self.scriptnamePicker, self.cmdlineCombo)
        StartDialog.setTabOrder(self.cmdlineCombo, self.workdirPicker)
        StartDialog.setTabOrder(self.workdirPicker, self.environmentCombo)
        StartDialog.setTabOrder(self.environmentCombo, self.globalOverrideGroup)
        StartDialog.setTabOrder(self.globalOverrideGroup, self.redirectCheckBox)
        StartDialog.setTabOrder(self.redirectCheckBox, self.clearShellCheckBox)
        StartDialog.setTabOrder(self.clearShellCheckBox, self.consoleCheckBox)
        StartDialog.setTabOrder(self.consoleCheckBox, self.tracePythonCheckBox)
        StartDialog.setTabOrder(self.tracePythonCheckBox, self.autoContinueCheckBox)
        StartDialog.setTabOrder(self.autoContinueCheckBox, self.allExceptionsCheckBox)
        StartDialog.setTabOrder(self.allExceptionsCheckBox, self.multiprocessGroup)
        StartDialog.setTabOrder(self.multiprocessGroup, self.multiprocessNoDebugCombo)
        StartDialog.setTabOrder(self.multiprocessNoDebugCombo, self.eraseCoverageCheckBox)
        StartDialog.setTabOrder(self.eraseCoverageCheckBox, self.eraseProfileCheckBox)

    def retranslateUi(self, StartDialog):
        _translate = QtCore.QCoreApplication.translate
        StartDialog.setWindowTitle(_translate("StartDialog", "Start"))
        self.groupBox.setTitle(_translate("StartDialog", "General Parameters"))
        self.label.setText(_translate("StartDialog", "Virtual Environment:"))
        self.venvComboBox.setToolTip(_translate("StartDialog", "Select the virtual environment to be used"))
        self.venvComboBox.setWhatsThis(_translate("StartDialog", "<b>Virtual Environment</b>\n"
"<p>Enter the virtual environment to be used. Leave it empty to use the default environment, i.e. the one configured globally or per project.</p>"))
        self.TextLabel1_2.setText(_translate("StartDialog", "Script Name:"))
        self.scriptnamePicker.setToolTip(_translate("StartDialog", "Enter the script file name"))
        self.scriptnamePicker.setWhatsThis(_translate("StartDialog", "<b>Script Name</b>\n"
"<p>Enter the the name of the script. Leave empty to use the script of the current editor.</p>"))
        self.TextLabel1.setText(_translate("StartDialog", "Script Parameters:"))
        self.cmdlineCombo.setToolTip(_translate("StartDialog", "Enter the commandline parameters"))
        self.cmdlineCombo.setWhatsThis(_translate("StartDialog", "<b>Commandline</b>\n"
"<p>Enter the commandline parameters in this field.</p>"))
        self.TextLabel2.setText(_translate("StartDialog", "Working directory:"))
        self.workdirPicker.setToolTip(_translate("StartDialog", "Enter the working directory"))
        self.workdirPicker.setWhatsThis(_translate("StartDialog", "<b>Working directory</b>\n"
"<p>Enter the working directory of the application to be debugged. Leave it empty to set the working directory to the executable directory.</p>"))
        self.textLabel1.setText(_translate("StartDialog", "Environment Variables:"))
        self.environmentCombo.setToolTip(_translate("StartDialog", "Enter the environment variables to be set separated by whitespace."))
        self.environmentCombo.setWhatsThis(_translate("StartDialog", "<b>Environment Variables</b>\n"
"<p>Enter the environment variables to be set for the program. The individual settings must be separated by whitespace and be given in the form \'var=value\'. In order to add to an environment variable, enter it in the form \'var+=value\'. To delete an environment variable, append a \'-\' to the variable name.</p>\n"
"<p>Example: var1=1 var2=\"hello world\" var3+=\":/tmp\" var4-</p>"))
        self.globalOverrideGroup.setTitle(_translate("StartDialog", "Override Global Configuration"))
        self.redirectCheckBox.setToolTip(_translate("StartDialog", "Select, to redirect stdin, stdout and stderr of the program being debugged to the eric IDE"))
        self.redirectCheckBox.setText(_translate("StartDialog", "Redirect stdin/stdout/stderr"))
        self.consoleCheckBox.setToolTip(_translate("StartDialog", "Select to start the debugger in a console window"))
        self.consoleCheckBox.setWhatsThis(_translate("StartDialog", "<b>Start in console</b>\n"
"<p>Select to start the debugger in a console window. The console command has to be configured on the Debugger-&gt;General page</p>"))
        self.consoleCheckBox.setText(_translate("StartDialog", "Start in console"))
        self.clearShellCheckBox.setToolTip(_translate("StartDialog", "Select to clear the display of the interpreter window"))
        self.clearShellCheckBox.setWhatsThis(_translate("StartDialog", "<b>Clear interpreter window</b><p>This clears the display of the interpreter window before starting the debug client.</p>"))
        self.clearShellCheckBox.setText(_translate("StartDialog", "Clear interpreter window"))
        self.debugGroup.setTitle(_translate("StartDialog", "Debug Parameters"))
        self.tracePythonCheckBox.setToolTip(_translate("StartDialog", "Select to trace into the Python library"))
        self.tracePythonCheckBox.setWhatsThis(_translate("StartDialog", "<b>Trace into interpreter libraries<b>\n"
"<p>When active the debugger will also trace calls into the Python library.</p>"))
        self.tracePythonCheckBox.setText(_translate("StartDialog", "Trace into interpreter libraries"))
        self.tracePythonCheckBox.setShortcut(_translate("StartDialog", "Alt+T"))
        self.autoContinueCheckBox.setToolTip(_translate("StartDialog", "Select to not stop the debugger at the first executable line."))
        self.autoContinueCheckBox.setWhatsThis(_translate("StartDialog", "<b>Don\'t stop at first line</b><p>This prevents the debugger from stopping at the first executable line.</p>"))
        self.autoContinueCheckBox.setText(_translate("StartDialog", "Don\'t stop at first line"))
        self.allExceptionsCheckBox.setToolTip(_translate("StartDialog", "Select to report all exceptions (when unchecked only unhandled exceptions are reported)."))
        self.allExceptionsCheckBox.setText(_translate("StartDialog", "Report all exceptions"))
        self.multiprocessGroup.setToolTip(_translate("StartDialog", "Select this to enable multi process debugging."))
        self.multiprocessGroup.setWhatsThis(_translate("StartDialog", "<b>Multi Process Debugging</b><p>This enables debugging capability for multi process programs. Each started Python program is started within a new debugger.</p>"))
        self.multiprocessGroup.setTitle(_translate("StartDialog", "Multi Process Debugging"))
        self.TextLabel1_3.setText(_translate("StartDialog", "Don\'t Debug:"))
        self.coverageGroup.setTitle(_translate("StartDialog", "Coverage Parameters"))
        self.eraseCoverageCheckBox.setToolTip(_translate("StartDialog", "Select this to erase the collected coverage information"))
        self.eraseCoverageCheckBox.setWhatsThis(_translate("StartDialog", "<b>Erase coverage information</b>\n"
"<p>Select this to erase the collected coverage information before the next coverage run.</p>"))
        self.eraseCoverageCheckBox.setText(_translate("StartDialog", "Erase coverage information"))
        self.eraseCoverageCheckBox.setShortcut(_translate("StartDialog", "Alt+C"))
        self.profileGroup.setTitle(_translate("StartDialog", "Profile Parameters"))
        self.eraseProfileCheckBox.setToolTip(_translate("StartDialog", "Select this to erase the collected timing data"))
        self.eraseProfileCheckBox.setWhatsThis(_translate("StartDialog", "<b>Erase timing data</b>\n"
"<p>Select this to erase the collected timing data before the next profiling run.</p>"))
        self.eraseProfileCheckBox.setText(_translate("StartDialog", "Erase timing data"))
        self.eraseProfileCheckBox.setShortcut(_translate("StartDialog", "Alt+C"))
from eric7.EricWidgets.EricPathPicker import EricComboPathPicker
